namespace ZionVault.Util.Trim
{
    public class TrimFactory
    {
        private const string Left = "LEFT";
        private const string Right = "RIGHT";
        private const string Full = "FULL";

        public static ITrim construct(string type)
        {
            switch (type.ToUpper())
            {
                case Left: return new TrimLeft();
                case Right: return new TrimRight();
                case Full: return new TrimFull();
                default: return null;
            }
        }
    }
}
